v0.122.0

Released Nov 24th 2017

Upgrade with:

sanity upgrade

And install the latest Command Line Interface (CLI) with:

npm install --global @sanity/cli

✨ Highlights

Faster CLI installation

This release changes the way the CLI is distributed - bundling all dependencies in order to create a very fast installation.

Weak references

You can now flag references as weak in your schema, in the rare case where you want referenced documents to be deletable without first unsetting the reference. Should be used with caution!

📓 Full changelog

AuthorMessageCommit
Thomas Drevonclient Use correct URL for observable source code337537a
Espen Hovlandsdalbase Fix outdated modules message (#363)63efb77
Espen Hovlandsdaltest-studio Add staging project id35368cc
Bjørge NæssAdd support for weak references (#366)ac13d15
Espen Hovlandsdalcli Improve help text on init commande578163
Espen Hovlandsdalcli Show more useful next steps after initializing project536eb13
Bjørge Næssform-builder Move item remove logic to ConfirmButton (#368)10a0245
Espen Hovlandsdalcli Use webpack to bundle all code to a single file64b1418
Espen Hovlandsdalcli Code style fixes7329229
Espen Hovlandsdalcli Copy xdg-open binary to bin directory on pack78ddc6e
Espen Hovlandsdalclient Fix incorrect link and query examples in readme9124e24
Espen Hovlandsdalcli CommonJSify debug modulea72d909
Espen Hovlandsdalcli Ensure template manifest is not inside node_modulesbdd4aa3
Espen Hovlandsdalcli Support specifying dependencies in plugin templates529868b
Espen Hovlandsdalcli Allow specifying a minimum CLI version for templates467f955
Espen Hovlandsdalchore Fix missing @sanity prefix03780ff
Espen Hovlandsdalcli Ban node versions 8.1.0 and 8.1.1 due to input issues97d52b5
Espen Hovlandsdalcli Add more commands to list of core cmdsd8b0fc7